#
# spec file for package python-sphinx_press_theme
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2021 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx_press_theme
Version:        0.9.1
Release:        1.1
Summary:        A Sphinx-doc theme based on Vuepress
License:        MIT
URL:            https://schettino72.github.io/sphinx_press_site/
Source:         https://files.pythonhosted.org/packages/source/s/sphinx_press_theme/sphinx_press_theme-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 4.0.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 4.0.0
BuildArch:      noarch
%python_subpackages

%description
Sphinx Press is a modern responsive theme for python’s Sphinx docs.

This theme is based on VuePress. It uses Vue.js & Stylus managed by vite.

%prep
%setup -q -n sphinx_press_theme-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/sphinx_press_theme
%{python_sitelib}/sphinx_press_theme-%{version}.dist-info

%changelog
* Thu May  2 2024 Dirk Müller <dmueller@suse.com>
- update to 0.9.1:
  * Add dark mode feature from Mister-Hope's vuepress PR
  * Fix Sphinx 7 compatibility
  * Add Sphinx 7 compatibility
  * Update UI
- use license from tarball
- use PEP517 build
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.8.0
  * GH-59 Fix external links on sidetoc
  * GH-60 Include LICENSE and CHANGES in dist package
* Mon Jul  5 2021 Hans-Peter Jansen <hpj@urpla.net>
- Version 0.7.3: initial build
